vellTRDocs
API ReferenceWebhooksList Webhook Endpoints

List Webhook Endpoints

GET/v1/stores/{storeId}/webhooksCore

List the webhook endpoints configured for a store.

Authentication

Signature Pattern

Dashboard JWT bearer (not the HMAC public API).
HeaderValueDescription
AuthorizationBearer {jwt}Merchant dashboard JWT (from /v1/auth/login)
Content-Typeapplication/jsonRequest content type

Response Parameters

FieldTypeExample
itemsarray[…]
items[].idstring"whe_9a2e6b4d4e8a"
items[].urlstring"https://merchant.example.com/kvell/webhook"
items[].eventTypesarray["payment.captured","payment.refunded"]
items[].activebooleantrue
items[].statusstring"active"
items[].createdAtstring"2026-04-13T10:00:00Z"

Response Example

JSONResponse
{
  "items": [
    {
      "id": "whe_9a2e6b4d4e8a",
      "url": "https://merchant.example.com/kvell/webhook",
      "eventTypes": [
        "payment.captured",
        "payment.refunded"
      ],
      "active": true,
      "status": "active",
      "createdAt": "2026-04-13T10:00:00Z"
    }
  ]
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group